/*
 * ProcessoEvent.java
 *
 * Created on 25 de Abril de 2007, 10:53
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package siprp.medicina.processo;

import java.util.HashMap;

/**
 *
 * @author Frederico
 */
public class ProcessoEvent
{
	public static final int ACCAO_RECARREGAR_TRABALHADOR = 0;
	public static final int ACCAO_ESCOLHER_PROCESSO = 1;
	public static final int ACCAO_ESCOLHER_CONSULTA = 2;
	public static final int ACCAO_ESCOLHER_ECDS = 3;
	public static final int ACCAO_ESCOLHER_FA = 4;
	public static final int ACCAO_ESCOLHER_DATA = 5;
	public static final int ACCAO_ESCOLHER_OBSERVACOES = 6;
	public static final int ACCAO_ESCOLHER_MAIL = 7;
	public static final int ACCAO_ESCOLHER_MOTIVO = 8;
	public static final int ACCAO_MARCAR_CONSULTA = 9;
	public static final int ACCAO_MARCAR_ECDS = 10;
	public static final int ACCAO_EMITIR_FA = 11;
	public static final int ACCAO_FECHAR = 12;
	public static final int ACCAO_MUDAR_ESTADO_MARCACAO = 13;
	public static final int ACCAO_MUDAR_DATA_MARCACAO = 14;
	public static final int ACCAO_ESCREVER_OBSERVACOES = 15;
	public static final int ACCAO_ESCREVER_MAIL = 16;
	
	public static final Integer TIPO_ANY = new Integer( 0 );
	public static final Integer TIPO_PROCESSO = new Integer( 1 );
	public static final Integer TIPO_CONSULTA = new Integer( 2 );
	public static final Integer TIPO_ECDS = new Integer( 3 );
	public static final Integer TIPO_DATA = new Integer( 4 );
	public static final Integer TIPO_OBSERVACOES = new Integer( 5 );
	public static final Integer TIPO_MAIL = new Integer( 6 );
	public static final Integer TIPO_FICHA_APTIDAO = new Integer( 7 );
	
	protected final Object source;
	protected final int accao;
	protected final HashMap<Integer,Integer> idsObjectos;
	
	/** Creates a new instance of ProcessoEvent */
	public ProcessoEvent( Object source, int accao, HashMap<Integer,Integer> idsObjectos )
	{
		this.source = source;
		this.accao = accao;
		this.idsObjectos = idsObjectos;
	}
	
	public Object getSource()
	{
		return source;
	}
	
	public int getAccao()
	{
		return accao;
	}
	
	public Integer getObjecto( Integer tipo )
	{
		return idsObjectos.get( tipo );
	}
	
}
